## page-break-lines-el 0.14

=== Makefile ===
EMACS ?= emacs

# A space-separated list of required package names
NEEDED_PACKAGES = package-lint

INIT_PACKAGES="(progn \
  (require 'package) \
  (push '(\"melpa\" . \"https://melpa.org/packages/\") package-archives) \
  (package-initialize) \
  (dolist (pkg '(${NEEDED_PACKAGES})) \
    (unless (package-installed-p pkg) \
      (unless (assoc pkg package-archive-contents) \
        (package-refresh-contents)) \
      (package-install pkg))) \
  )"

all: compile package-lint clean-elc

package-lint:
	${EMACS} -Q --eval ${INIT_PACKAGES} -batch -f package-lint-batch-and-exit page-break-lines.el

compile: clean-elc
	${EMACS} -Q --eval ${INIT_PACKAGES} -L . -batch -f batch-byte-compile *.el

clean-elc:
	rm -f f.elc

.PHONY:	all compile clean-elc package-lint

=== debian/changelog ===
page-break-lines-el (0.14-3) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 23:16:07 +0900

page-break-lines-el (0.14-2) unstable; urgency=medium

  * add Rules-Requires-Root=no

 -- Martin <debacle@debian.org>  Mon, 23 Aug 2021 18:28:03 +0000

page-break-lines-el (0.14-1) unstable; urgency=medium

  * Initial package (Closes: #860027)

 -- Martin <debacle@debian.org>  Mon, 02 Aug 2021 21:22:46 +0000

=== debian/control ===
Source: page-break-lines-el
Section: editors
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Martin <debacle@debian.org>
Build-Depends: debhelper-compat (= 13),
	dh-elpa,
	elpa-package-lint
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://github.com/purcell/page-break-lines
Vcs-Git: https://salsa.debian.org/emacsen-team/page-break-lines-el.git
Vcs-Browser: https://salsa.debian.org/emacsen-team/page-break-lines-el

Package: elpa-page-break-lines
Architecture: all
Depends: ${elpa:Depends}, ${misc:Depends}
Recommends: emacs
Enhances: emacs
Description: Emacs mode to display ugly ^L page breaks as tidy horizontal lines
 This library provides an Emacs mode which displays form feed
 characters as horizontal rules.
 .
 The U+000C FORM FEED character is a normal white-space character, and
 in a text file is often used to mark virtual “page” separation.
 .
 Though it is rendered invisibly as white space, Emacs will (like many
 text editors) represent it with a glyph such as “^L”. This Emacs mode
 allows the same character to instead display as a custom horizontal
 line.
